> ## Documentation Index
> Fetch the complete documentation index at: https://docs.woodcore.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Key

> This endpoint approves a whitelisted IP address with the use of an OTP in the path sent to the user's email address as an extra layer of security.



## OpenAPI

````yaml POST /gateway/apiKeys/ipwhitelist/approve/{otp}
openapi: 3.0.3
info:
  title: Woodcore Access Gateway API
  description: API for managing access to Woodcore resources
  version: 2.0.0
servers:
  - url: https://spark.test.woodcore.co/api/v2
    description: Spark V2 Server
  - url: https://spark.test.woodcore.co/api/v2
    description: Spark Security Server
security: []
paths:
  /gateway/apiKeys/ipwhitelist/approve/{otp}:
    post:
      summary: Approve IP Whitelist
      description: >-
        This endpoint approves a whitelisted IP address with the use of an OTP
        in the path sent to the user's email address as an extra layer of
        security.
      parameters:
        - name: otp
          in: path
          required: true
          schema:
            type: string
          example: w5iaf83wnfn
      responses:
        '200':
          description: IP whitelist successfully approved
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````